#!/bin/bash

LD_LINUX=/opt/qtwebengine-extralibs/libc6/ld-linux.so.2
RPATH=/opt/qtwebengine-extralibs/:/opt/qtwebengine-extralibs/libc6/:/opt/qt_5.6.0/lib
SEARCHDIR=/opt/qt_5.6.0
find $SEARCHDIR -type f -executable | while read bin; do
  echo "$bin:"
  echo -ne "Setting interpreter... "
  sudo patchelf --set-interpreter $LD_LINUX $bin
  if [ $? -eq 0 ]; then
    echo OK
  fi
  echo -ne "Setting rpath... "
  #sudo chrpath -d $bin
  sudo patchelf --force-rpath --set-rpath $RPATH $bin
  if [ $? -eq 0 ]; then
    echo OK
  fi
  echo
done
# Do the same for shared objects
find $SEARCHDIR -name "*.so" | while read bin; do
  if [ -L $bin ]; then
    # Resolve symbolic link
    bin=`dirname $bin`/`readlink $bin`
  fi
  echo "$bin:"
  echo -ne "Setting rpath... "
  #sudo chrpath -d $bin
  sudo patchelf --force-rpath --set-rpath $RPATH $bin
  if [ $? -eq 0 ]; then
    echo OK
  fi
  echo
done
